ColumnDefinition.ClusteringOrder (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.config

## Enum ColumnDefinition.ClusteringOrder

- java.lang.Object
- - java.lang.Enum<ColumnDefinition.ClusteringOrder>
  - - org.apache.cassandra.config.ColumnDefinition.ClusteringOrder

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ColumnDefinition.ClusteringOrder>
  Enclosing class:
    ColumnDefinition

      public static enum ColumnDefinition.ClusteringOrder
      extends java.lang.Enum<ColumnDefinition.ClusteringOrder>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASC`
    `DESC`
    `NONE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ColumnDefinition.ClusteringOrder` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ColumnDefinition.ClusteringOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASC

          public static final ColumnDefinition.ClusteringOrder ASC

    - #### DESC

          public static final ColumnDefinition.ClusteringOrder DESC

    - #### NONE

          public static final ColumnDefinition.ClusteringOrder NONE

  - ### Method Detail

    - #### values

          public static ColumnDefinition.ClusteringOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ColumnDefinition.ClusteringOrder c : ColumnDefinition.ClusteringOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ColumnDefinition.ClusteringOrder valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation